НачалоИдва краят на PHP 5.6

Идва краят на PHP 5.6

Идва краят на PHP 5.6: Погрижете се за сигурността на вашият PrestaShop магазин

От краят на 2018г. версиите на PHP под 5.6 не се поддържат, в резултат на което, използването на тези версии от вашият магазин, ще става все по-трудно и рисковано. Какво означава това и какъв избор имате? 

Преди да продължим нататък, нека започнем отначало.

Какво е PHP?

PHP (или “PHP Hypertext Preprocessor”) е свободен език за програмиране, предназначен за разработване на уеб приложения. PHP езикът е вграден в HTML страници и служи за автоматизиране на повтарящи се задачи и по този начин създава динамични и интерактивни уебсайтове * (източник: php.net).

Защо е важно да обновя PHP версията на моя магазин?

PHP, както всеки друг вид софтуер, се развива с течение на времето, което води до публикуването на нови версии. Всяка версия на PHP се поддържа не повече от три години.

Обикновено вашият хост управлява PHP версията, която вашия магазин използва. Тъй като по-ранните версии на PHP вече не се поддържат, вашият хост не може да гарантира, че вашата система е 100% сигурна. Поради тази причина, той ще принуди сайтовете да се откажат от по-ранните версии.Редовното актуализиране на вашата PHP версия, също ви позволява да се възползвате от постоянните подобрения и да повишите ефективността на сайта.

Според сайта Infomaniak, в зависимост от обстоятелствата, сайт работещ с PHP 7 е до два пъти по-бърз от сайт с PHP 5.6 и до 14 пъти по-бърз от сайт с PHP 5.

Според ZDNet, 62% от уебсайтовете използват версия PHP версия 5, която е остаряла и вече не е защитена. Следователно е вероятно вашият магазин също да работи на остаряла версия на PHP, която трябва да се актуализира.

Поддържани версии на PHP до момента (източник: php.net)

Как мога да проверя и актуализирам PHP версията на PrestaShop магазина?

Отговорност на вашият програмист е, независимо дали е фрийлансър или агенция, да препоръча актуализиране на PHP версията на магазина ви. Винаги можете да се свържете с вашият хост, ако желаете да разберете коя версия на PHP може да ви предостави.

Коя версия на PHP е съвместима с моя PrestaShop магазин?

Преди всичко е важно да се разбере, дали версията на PrestaShop, която магазинът ви използва е съвместима с последните версии на PHP. Така ще предотвратите грешки при актуализиране и други подобни грешки. Препоръчваме ви да изпробвате новата версия в тестова среда преди да я инсталирате.

Съвместимост на Prestashop и PHP

Prestashop ВерсииСъвместими PHP версии
1.5.x ~ 1.6.05.2 – 5.5
1.6.1.x5.2 – 7.1
1.7.0 ~ 1.7.3

5.4 – 7.1

1.7.45.6 – 7.1
1.7.55.6 – 7.2

 

Същественото значение за мигрирането на сайта ви в PrestaShop 1.7

Създаденият през 2013г. Prestashop 1.6, е бил актуализиран с цел да осигури съвместимост с PHP 7.1. Поддръжката на PrestaShop 1.6 приключва през Юни 2019г. ,а PHP 7.1 няма да бъде поддържан след Декември 2019г., което означава че няма да има нова версия на PrestaShop 1.6, която да е  съвместима с PHP версии след 7.1

По същият начин, PrestaShop 1.7 създаден през 2016г. е актуализиран, за да бъде съвместим с PHP 7, PHP версията която подобрява производителността.

PrestaShop 1.7 е версията, която в момента се поддържа от PrestaShop и ще бъде актуализирана за в бъдеще, за да бъде съвместима с последните версии на PHP.

PrestaShop 1.7 също така включва рамката на Symfony, за да направи решението по-ефективно и по-стабилно. Тази версия съдържа нови функции на всяко ниво: бек офис, фронт офис, мобилна навигация, потребителско пътуване и т.н., за да се опрости сърфирането както на администратора, така и на потребителите на вашия магазин.

Не губете време, свържете се с програмиста си, за да разберете коя версия на PHP използвате и осигурете нужната скорост и сигурност на вашият онлайн магазин и неговите потребители!

2019-07-18T15:17:36+02:00